#
# spec file for package python-pyhelm3
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/

Name:           python-pyhelm3
Version:        0.4.0
Release:        1
Summary:        Python library for managing Helm releases using Helm 3
License:        Apache-2.0
URL:            https://github.com/azimuth-cloud/pyhelm3
#!RemoteAsset
Source:         https://files.pythonhosted.org/packages/source/p/pyhelm3/pyhelm3-%{version}.tar.gz
# Allow icon metadata to be file:// as well as http/https://
# https://github.com/azimuth-cloud/pyhelm3/pull/35
Patch:          0001-icon-metadata-allow-fileurl.patch
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 42}
BuildRequires:  %{python_module setuptools_scm >= 3.4}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
Requires:       %{python_module pydantic}
Requires:       %{python_module PyYAML}
BuildArch:      noarch
%python_subpackages

%description
Python library for managing Helm releases using Helm 3.

%prep
%autosetup -p1 -n pyhelm3-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/pyhelm3
%{python_sitelib}/pyhelm3-%{version}.dist-info

%changelog
